Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.store
Interface LockStore

All Superinterfaces:
  Service, javax.transaction.xa.XAResource

All Known Subinterfaces:
  Store

All Known Implementing Classes:
  AbstractStore

public interface LockStore
extends Service

Store for Lock objects.

Version:
  $Revision: 1.9 $

Field Summary

Fields inherited from interface javax.transaction.xa.XAResource
`TMENDRSCAN, TMFAIL, TMJOIN, TMNOFLAGS, TMONEPHASE, TMRESUME, TMSTARTRSCAN, TMSUCCESS, TMSUSPEND, XA_OK, XA_RDONLY`

Method Summary
`java.util.Enumeration` | `enumerateLocks(Uri uri)` Enumerate locks on an object.
`void` | `killLock(Uri uri, NodeLock lock)` Kill a lock.
`void` | `putLock(Uri uri, NodeLock lock)` Create a new lock.
`void` | `removeLock(Uri uri, NodeLock lock)` Unlock.
`void` | `renewLock(Uri uri, NodeLock lock)` Renew a lock.

Methods inherited from interface org.apache.slide.common.Service
`cacheResults, connect, connect, connectIfNeeded, connectIfNeeded, disconnect, getLogger, initialize, isConnected, reset, setNamespace, setParameters, setScope`

Methods inherited from interface javax.transaction.xa.XAResource
`commit, end, forget, getTransactionTimeout, isSameRM, prepare, recover, rollback, setTransactionTimeout, start`

Method Detail

### putLock

    public void putLock(Uri uri,
                        NodeLock lock)
                 throws ServiceAccessException

  Create a new lock.

  Parameters:
    `lock` - Lock token
  Throws:
    `ServiceAccessException` - Service access error

### renewLock

    public void renewLock(Uri uri,
                          NodeLock lock)
                   throws ServiceAccessException,
                          LockTokenNotFoundException

  Renew a lock.

  Parameters:
    `lock` - Token to renew
  Throws:
    `ServiceAccessException` - Service access error
    `LockTokenNotFoundException` - Lock token was not found

### removeLock

    public void removeLock(Uri uri,
                           NodeLock lock)
                    throws ServiceAccessException,
                           LockTokenNotFoundException

  Unlock.

  Parameters:
    `lock` - Token to remove
  Throws:
    `ServiceAccessException` - Service access error
    `LockTokenNotFoundException` - Lock token was not found

### killLock

    public void killLock(Uri uri,
                         NodeLock lock)
                  throws ServiceAccessException,
                         LockTokenNotFoundException

  Kill a lock.

  Parameters:
    `lock` - Token to remove
  Throws:
    `ServiceAccessException` - Service access error
    `LockTokenNotFoundException` - Lock token was not found

### enumerateLocks

    public java.util.Enumeration enumerateLocks(Uri uri)
                                         throws ServiceAccessException

  Enumerate locks on an object.

  Parameters:
    `uri` - Uri of the subject
  Returns:
    Enumeration List of `locks` which have been put on the subject
  Throws:
    `ServiceAccessException` - Service access error

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD